import request from '@/utils/request'

// 查询发起问卷列表
export function listTemplate(query) {
  return request({
    url: '/elder/questionnaire/template/list',
    method: 'get',
    params: query
  })
}

// 查询发起问卷详细
export function getTemplate(templateId) {
  return request({
    url: '/elder/questionnaire/template/' + templateId,
    method: 'get'
  })
}

// 新增发起问卷
export function addTemplate(data) {
  return request({
    url: '/elder/questionnaire/template',
    method: 'post',
    data: data
  })
}

// 修改发起问卷
export function updateTemplate(data) {
  return request({
    url: '/elder/questionnaire/template',
    method: 'put',
    data: data
  })
}

// 删除发起问卷
export function delTemplate(templateId) {
  return request({
    url: '/elder/questionnaire/template/' + templateId,
    method: 'delete'
  })
}
